Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032570
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2016-04-01 12:002016-06-17 19:36
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionopenFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revisiona590cb3e3491
ProjectionnoneETAnoneTarget Version3.0PR16Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032570: allow to define cross-organization references

DescriptionBy default, links between two different DAL objects are always enforced to both objects be in the same Organization's natural tree.

Allow define in which cases this enforcement can be bypassed.

For more information, visit the project's page: http://wiki.openbravo.com/wiki/Projects:Cross_Organization_Reference [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0032063 acknowledgedplatform References from an object to other objects is not checked when inserting only when updating 
related to feature request 00402443.0PR19Q2 closedaferraz Audit columns should not be checked for cross referenced organizations 
blocks feature request 00356853.0PR17Q3 closedalostale allow to select cross organization records from UI 

-  Notes
(0085613)
hgbot (developer)
2016-04-13 14:58

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: cde0eb54b50d02dc7299fa28be95c08a80ffdbfe
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Apr 13 14:54:55 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/cde0eb54b50d02dc7299fa28be95c08a80ffdbfe [^]

related to issue 32570: adding allowed cross org column in source data

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0085614)
hgbot (developer)
2016-04-13 14:58

Repository: erp/pmods/org.openbravo.retail.config
Changeset: 6f8afe087253f6964df76ecbe6c9080d13bfec2c
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Apr 13 14:55:01 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/6f8afe087253f6964df76ecbe6c9080d13bfec2c [^]

related to issue 32570: adding allowed cross org column in source data

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0085615)
hgbot (developer)
2016-04-13 14:59

Repository: erp/pmods/org.openbravo.retail.discounts
Changeset: 2b675370fe15b3c9b8cf16c07452d4857e5c4b36
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Apr 13 14:55:05 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/2b675370fe15b3c9b8cf16c07452d4857e5c4b36 [^]

related to issue 32570: adding allowed cross org column in source data

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0085616)
hgbot (developer)
2016-04-13 14:59

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 65b66c41251ff03fbfbe935d5a4708322cd8ce43
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Apr 13 14:55:14 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/65b66c41251ff03fbfbe935d5a4708322cd8ce43 [^]

related to issue 32570: adding allowed cross org column in source data

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0085619)
alostale (developer)
2016-04-13 15:26

fixed issue 32570: allow to define cross-organization references default tip
author Asier Lostalé <asier.lostale@openbravo.com>
Wed Apr 13 14:57:26 2016 +0200 (27 minutes ago)
URL: https://code.openbravo.com/erp/devel/pi/rev/a590cb3e3491 [^]

fixed issue 32570: allow to define cross-organization references
(0085712)
hgbot (developer)
2016-04-18 16:30

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 5e30a682504610ec3fd087e6d414c7183fc08e5b
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Apr 13 14:54:55 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/5e30a682504610ec3fd087e6d414c7183fc08e5b [^]

related to issue 32570: adding allowed cross org column in source data

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0085713)
hgbot (developer)
2016-04-18 16:35

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 60cea5793f3d9160b75dca341122956ef6ad8190
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Apr 13 14:55:14 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/60cea5793f3d9160b75dca341122956ef6ad8190 [^]

related to issue 32570: adding allowed cross org column in source data

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0085905)
caristu (developer)
2016-04-22 15:33

Code review + testing OK
(0087444)
hudsonbot (developer)
2016-06-17 19:36

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-04-01 12:00 alostale New Issue
2016-04-01 12:00 alostale Assigned To => platform
2016-04-01 12:00 alostale Modules => Core
2016-04-01 12:00 alostale Triggers an Emergency Pack => No
2016-04-01 12:01 alostale Relationship added related to 0032063
2016-04-01 12:01 alostale Assigned To platform => alostale
2016-04-01 12:02 alostale Status new => scheduled
2016-04-01 12:17 alostale Description Updated View Revisions
2016-04-13 14:58 hgbot Checkin
2016-04-13 14:58 hgbot Note Added: 0085613
2016-04-13 14:58 hgbot Checkin
2016-04-13 14:58 hgbot Note Added: 0085614
2016-04-13 14:59 hgbot Checkin
2016-04-13 14:59 hgbot Note Added: 0085615
2016-04-13 14:59 hgbot Checkin
2016-04-13 14:59 hgbot Note Added: 0085616
2016-04-13 15:26 alostale Note Added: 0085619
2016-04-13 15:26 alostale Status scheduled => resolved
2016-04-13 15:26 alostale Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/a590cb3e3491 [^]
2016-04-15 07:26 alostale Review Assigned To => caristu
2016-04-18 16:30 hgbot Checkin
2016-04-18 16:30 hgbot Note Added: 0085712
2016-04-18 16:35 hgbot Checkin
2016-04-18 16:35 hgbot Note Added: 0085713
2016-04-22 15:33 caristu Note Added: 0085905
2016-04-22 15:33 caristu Status resolved => closed
2016-04-22 15:33 caristu Fixed in Version => 3.0PR16Q3
2016-06-17 19:36 hudsonbot Checkin
2016-06-17 19:36 hudsonbot Note Added: 0087444
2017-04-04 14:10 alostale Relationship added blocks 0035685
2019-02-22 09:29 alostale Relationship added related to 0040244


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker